Test2::Harness::Runner::Run(3pm)

NAME
Test2::Harness::Runner::Run - Runner specific subclass of a test run.

DESCRIPTION
Runner subclass of Test2::Harness::Run for use inside the runner.

METHODS
In addition to the methods provided by Test2::Harness::Run, these are provided.

$dir = $run->workdir
    Runner directory.

$dir = $run->run_dir
    Directory specific to this run.

$path = $run->jobs_file
    Path to the "jobs.jsonl" file.

$fh = $run->jobs
    Filehandle to "jobs.jsonl".

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/